=== debian/changelog ===
listaller (0.5.9-4) unstable; urgency=medium

  * Add patch to support recent AppStream GIR API (Closes: #765105)

 -- Matthias Klumpp <mak@debian.org>  Mon, 13 Oct 2014 21:26:34 +0200

listaller (0.5.9-3) unstable; urgency=medium

  * Drop the PackageKit plugin
    - This is due to PackageKit 1.0 removing support for it. This
      means that Listaller-installed apps can not be managed using
      GUI-tools like Apper or GNOME-Software anymore. The next release of
      Listaller is going to address that, but it will not be ready in-time
      for Jessie.
    - Please use the 'lipa' command to manage installed Listaller apps
      for now.
    - All other Listaller commands, including the libuild facilities,
      are unaffected by this change.

 -- Matthias Klumpp <mak@debian.org>  Thu, 25 Sep 2014 14:38:42 +0200

listaller (0.5.9-2) unstable; urgency=medium

  * Add patch to compile against latest libgee (Closes: #753870)

 -- Matthias Klumpp <mak@debian.org>  Tue, 09 Sep 2014 01:08:34 +0200

listaller (0.5.9-1) unstable; urgency=medium

  * New upstream release: 0.5.9
    - Closes: #742144
  * Drop patches: Applied upstream
  * Don't depend on Redland

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 19:14:24 +0200
