=== debian/control ===
Source: listaller
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               intltool,
               libappstream-dev (>= 0.7.1),
               libarchive-dev (>= 2.8),
               libgee-0.8-dev (>= 0.14),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.28),
               libgpgme11-dev,
               libpackagekit-glib2-dev (>= 0.9.5-2),
               libpolkit-gobject-1-dev,
               libsoup2.4-dev (>= 2.40),
               libsqlite3-dev (>= 3.6),
               libxml2-dev,
               valac (>= 0.20),
               xmlto
Standards-Version: 3.9.6
Homepage: http://listaller.tenstral.net
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/listaller.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/listaller.git

Package: listaller
Architecture: any
Multi-Arch: foreign
Depends: liblistaller-glib0 (>= ${binary:Version}),
         packagekit (>= 0.8.4),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3rd-party application installer
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages with minimal
 permissions, making 3rd-party installations as simple
 and secure as possible.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend, without having to use additional tools.
 .
 This package contains all modules required for Listaller to work.

Package: liblistaller-glib0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: listaller (= ${binary:Version})
Description: 3rd-party application installer (shared library)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages with minimal
 permissions, making 3rd-party installations as simple
 and secure as possible.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend, without having to use additional tools.
 .
 This package contains the Listaller shared library.

Package: liblistaller-glib-dev
Architecture: any
Section: libdevel
Depends: libgee-0.8-dev,
         libglib2.0-dev (>= 2.28),
         liblistaller-glib0 (= ${binary:Version}),
         ${misc:Depends}
Description: 3rd-party application installer (development files)
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 The project uses GPG-signed software packages with minimal
 permissions, making 3rd-party installations as simple
 and secure as possible.
 .
 Dependencies are resolved automatically using PackageKit.
 Listaller applications can be installed and removed using any
 PackageKit frontend, without having to use additional tools.
 .
 This package contains development files necessary to develop
 custom Listaller frontends.

Package: gir1.2-listaller-0.5
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Listaller library
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 Applications can be installed and removed using any
 PackageKit frontend, without having to use additional tools.
 .
 This package contains introspection data for the Listaller
 interface library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: listaller-devtools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: listaller-libuild
Description: 3rd-party application installer packaging tools
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 Applications can be installed and removed using any
 PackageKit frontend, without having to use additional tools.
 .
 This package contains tools which are required to build
 and maintain your own IPK packages.

Package: listaller-libuild
Architecture: any
Depends: gcc,
         make,
         perl (>= 5.14),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: build-essential
Description: Listaller libuild facilities
 Listaller is a distro-agnostic 3rd-party application installer
 with close integration into PackageKit.
 Applications can be installed and removed using any
 PackageKit frontend, without having to use additional tools.
 .
 This package contains the libuild facilities, which help building
 more portable applications.
