=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

LI_CONFIGURE_ARGS = -DTOOLS=ON \
		    -DLIBUILD=ON


# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(LI_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# Make sure script still has x-right
	chmod +x $(INSTALLDIR)/usr/share/listaller/binreloc/generate.pl

override_dh_install:
	dh_install --list-missing

override_dh_auto_test:
	# Skip this, the tests are not meant to run unsupervised at time
